require("locale.init")

require("silo-script")
local version = 1

local function on_player_created(event)

game.create_force("Admins")
	game.forces.Admins.research_all_technologies()

  local player = game.players[event.player_index]
  player.insert{name="iron-plate", count=8}
  player.insert{name="pistol", count=1}
  player.insert{name="firearm-magazine", count=10}
  player.insert{name="burner-mining-drill", count = 1}
  player.insert{name="stone-furnace", count = 1}
  player.force.chart(player.surface, {{player.position.x - 200, player.position.y - 200}, {player.position.x + 200, player.position.y + 200}})
  if (#game.players <= 1) then
    game.show_message_dialog{text = {"msg-intro"}}
  else
    player.print({"msg-intro"})
  end
  silo_script.gui_init(player)
end

local function on_player_respawned(event)
  local player = game.players[event.player_index]
  player.insert{name="pistol", count=1}
  player.insert{name="firearm-magazine", count=10}
end

local function on_silogui_click(event)
  silo_script.on_gui_click(event)
end

local function on_rocket_launched(event)
  silo_script.on_rocket_launched(event)
end

silo_script.add_remote_interface()

script.on_init(function()
	global.version = version
	silo_script.init()
end)

Event.register(Event.core_events.configuration_changed, function(event)
  if global.version ~= version then
    global.version = version
  end
  silo_script.on_configuration_changed(event)
end)

Event.register(defines.events.on_gui_click, on_silogui_click)
Event.register(defines.events.on_rocket_launched, on_rocket_launched)
Event.register(defines.events.on_player_respawned, on_player_respawned)
Event.register(defines.events.on_player_created, on_player_created)